org.keycloak.exportimport

## Enum UsersExportStrategy

- java.lang.Object
- - java.lang.Enum<UsersExportStrategy>
  - - org.keycloak.exportimport.UsersExportStrategy

- All Implemented Interfaces:
    Serializable, Comparable<UsersExportStrategy>

      public enum UsersExportStrategy
      extends Enum<UsersExportStrategy>

  Author:
    Marek Posolda

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DIFFERENT_FILES`
    `REALM_FILE`
    `SAME_FILE`
    `SKIP`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UsersExportStrategy` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static UsersExportStrategy[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SKIP

          public static final UsersExportStrategy SKIP

    - #### REALM_FILE

          public static final UsersExportStrategy REALM_FILE

    - #### SAME_FILE

          public static final UsersExportStrategy SAME_FILE

    - #### DIFFERENT_FILES

          public static final UsersExportStrategy DIFFERENT_FILES

  - ### Method Detail

    - #### values

          public static UsersExportStrategy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UsersExportStrategy c : UsersExportStrategy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UsersExportStrategy valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2021 JBoss by Red Hat. All rights reserved.